.. _xxx:

Parser Tree
===========

Usage
-----

.. automodule:: jedi.parser.python
    :members:
    :undoc-members:


Parser Tree Base Class
----------------------

All nodes and leaves have these methods/properties:

.. autoclass:: jedi.parser.tree.NodeOrLeaf
    :members:
    :undoc-members:


Python Parser Tree
------------------

.. automodule:: jedi.parser.python.tree
    :members:
    :undoc-members:
    :show-inheritance:


Utility
-------

.. autofunction:: jedi.parser.tree.search_ancestor
